function mvf = me(cur, ref, brow, bcol, search);
step=1;
[rows cols]=size(cur);
% Scansione di tutti i blocchi
for r=1:brow:rows,
    for c=1:bcol:cols,
        B=cur(r:r+brow-1,c:c+bcol-1); % Selezione del blocco corrente
        dcolmin=0; drowmin=0; % Inizializzazione del vettore
        SSDmin=brow*bcol*256*256; % Inizializzazione dellerrore
        % Fase di Motion Estimation: individuazione del miglior vettore
        for drow=-search:step:search,
            for dcol=-search:step:search,
                % Check: larea di ricerca deve essere interna allimmagine
                if ((r+drow>0)&(r+drow+brow-1<=rows)& ...
                        (c+dcol>0)&(c+dcol+bcol-1<=cols))
                    % blocco di confronto
                    R=ref(r+drow:r+drow+brow-1, c+dcol:c+dcol+bcol-1);
                    SSD=sum(sum((B-R).*(B-R)));
                    if (SSD<SSDmin)
                        SSDmin=SSD;
                        dcolmin=dcol;
                        drowmin=drow;
                    end;
                end; % vettore allinterno della frame
            end; % ciclo su dcol
        end; % ciclo su drow
        % Salviamo il MVF
        mvf(r:r+brow-1,c:c+bcol-1,1)=drowmin;
        mvf(r:r+brow-1,c:c+bcol-1,2)=dcolmin;
    end; % ciclo su c
end; % ciclo su r